package org.josast.TLM;

/**
 * @author Christophe
 *
 */
public class TlmData {

	/** The name. */
	private String name;

	/** The formulae. */
	private ICalculData formulae;

	/** The unit. */
	private String unit;

	private String format;

	/**
	 * The Constructor.
	 * 
	 * @param unit     the unit
	 * @param formulae the formulae
	 * @param name     the name
	 */
	public TlmData(String name, ICalculData formulae, String unit, String formatDislay) {
		super();
		this.name = name;
		this.formulae = formulae;
		this.unit = unit;
		this.format = formatDislay;
	}

	public String getFormat() {
		return format;
	}

	public void setFormat(String format) {
		this.format = format;
	}

	/**
	 * Gets the formulae.
	 * 
	 * @return the formulae
	 */
	public ICalculData getFormulae() {
		return formulae;
	}

	/**
	 * Sets the formulae.
	 * 
	 * @param formulae the formulae
	 */
	public void setFormulae(ICalculData formulae) {
		this.formulae = formulae;
	}

	/**
	 * Gets the name.
	 * 
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the name.
	 * 
	 * @param name the name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Gets the unit.
	 * 
	 * @return the unit
	 */
	public String getUnit() {
		return unit;
	}

	/**
	 * Sets the unit.
	 * 
	 * @param unit the unit
	 */
	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String toString() {
		return "" + name + ":" + formulae.toString() + " " + unit;

	}
}
